Subject: bug#32008: closed (Re: [bug#32008] [PATCH] gnu: ledger: Skip failing test.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Jul 2018 12:56:02 +0000

Your bug report

#32008: [PATCH] gnu: ledger: Skip failing test.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32008: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32008
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#32008] [PATCH] gnu: ledger: Skip failing test.
From: Arun Isaac <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Wed, 04 Jul 2018 18:24:42 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

>>> It would be nice to make separate patches for unrelated things (for
>>> instance invoke and phase returns have nothing to do with skipping the
>>> test), but otherwise LGTM.
>>
> Honestly it doesn’t matter much here, but what I like about
> one-patch-for-one-thing is that it makes review and bug hunting (when
> you later run ‘git annotate’ to understand what happened) easier.

I understand the concerns. I used to split commits a lot. But, then I
saw others using more bunched commits. So, I thought I was overdoing the
splitting.

>> Shall I push with the above mentioned changes?
>
> Sure!

Pushed as three separate commits! Thank you for the review!

Subject: [PATCH] gnu: ledger: Skip failing test.
From: Arun Isaac <[email-masked]>
To: [email-masked]
Cc: Arun Isaac <[email-masked]>
Date: Fri, 29 Jun 2018 22:37:49 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/finance.scm (ledger)[arguments]: Set #:make-flags to skip
failing test BaselineTest_cmd-org. Replace check phase with the check phase
from gnu-build-system.
Replace system* with invoke in build-doc phase.
Remove #t return from relocate-elisp phase since emacs-generate-autoloads
already returns #t.
[home-page]: Switch to HTTPS URI.
---
 gnu/packages/finance.scm | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/finance.scm b/gnu/packages/finance.scm
index c93f64193..e7fbfe17d 100644
--- a/gnu/packages/finance.scm
+++ b/gnu/packages/finance.scm
@@ -9,6 +9,7 @@
 ;;; Copyright © 2017 Tobias Geerinckx-Rice <[email-masked]>
 ;;; Copyright © 2018 Eric Bavier <[email-masked]>
 ;;; Copyright © 2018 Adriano Peluso <[email-masked]>
+;;; Copyright © 2018 Arun Isaac <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -140,6 +141,7 @@ line client and a client based on Qt.")
     (build-system cmake-build-system)
     (arguments
      `(#:modules ((guix build cmake-build-system)
+                  ((guix build gnu-build-system) #:prefix gnu:)
                   (guix build utils)
                   (guix build emacs-utils))
        #:imported-modules (,@%cmake-build-system-modules
@@ -153,6 +155,8 @@ line client and a client based on Qt.")
          ,(string-append "-DUTFCPP_INCLUDE_DIR:PATH="
                          (assoc-ref %build-inputs "utfcpp")
                          "/include"))
+       ;; Skip failing tests during the check phase.
+       #:make-flags (list "ARGS=-E BaselineTest_cmd-org")
        #:phases
        (modify-phases %standard-phases
          (add-before 'configure 'install-examples
@@ -163,7 +167,7 @@ line client and a client based on Qt.")
                (install-file "test/input/demo.ledger" examples))
              #t))
          (add-after 'build 'build-doc
-           (lambda _ (zero? (system* "make" "doc"))))
+           (lambda _ (invoke "make" "doc")))
          (add-before 'check 'check-setup
            ;; One test fails if it can't set the timezone.
            (lambda* (#:key inputs #:allow-other-keys)
@@ -171,6 +175,7 @@ line client and a client based on Qt.")
                      (string-append (assoc-ref inputs "tzdata")
                                     "/share/zoneinfo"))
              #t))
+         (replace 'check (assoc-ref gnu:%standard-phases 'check))
          (add-after 'install 'relocate-elisp
            (lambda* (#:key outputs #:allow-other-keys)
              (let* ((site-dir (string-append (assoc-ref outputs "out")
@@ -180,8 +185,7 @@ line client and a client based on Qt.")
                     (dest-dir (string-append guix-dir "/ledger-mode")))
                (mkdir-p guix-dir)
                (rename-file orig-dir dest-dir)
-               (emacs-generate-autoloads ,name dest-dir))
-             #t)))))
+               (emacs-generate-autoloads ,name dest-dir)))))))
     (inputs
      `(("boost" ,boost)
        ("gmp" ,gmp)
@@ -194,7 +198,7 @@ line client and a client based on Qt.")
      `(("emacs" ,emacs-minimal)
        ("groff" ,groff)
        ("texinfo" ,texinfo)))
-    (home-page "http://ledger-cli.org/")
+    (home-page "https://ledger-cli.org/")
     (synopsis "Command-line double-entry accounting program")
     (description
      "Ledger is a powerful, double-entry accounting system that is
-- 
2.15.1